<?php
/**
 * LysCMS 管理员账号重置工具
 *
 * @author           李依朔  
 */
 
header('Content-Type:text/html;charset=utf-8');
define('IN_LYSPHP', true);
define('LYSPHP_PATH', dirname(__FILE__).DIRECTORY_SEPARATOR); 
error_reporting(E_ALL^E_NOTICE);
$config = require('common/config/config.php');
extract($config);

$step = isset($_POST["step"]) ? intval($_POST["step"]) : 1;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>LysCMS 管理员账号重置工具</title>
<style type="text/css">
body{font-family: "MS Serif", "New York", serif;font-size: 12px;color: #000;}
table{border-top-width: 1px;border-right-width: 1px;border-left-width: 1px;border-top-style: dotted;border-right-style: dotted;border-left-style: dotted;border-top-color: #CCC;border-right-color: #CCC;border-left-color: #CCC;}
td{border-bottom-width: 1px;border-bottom-style: dotted;border-bottom-color: #CCC;}
p{font-size:24px;text-align:center;height:50px;line-height:50px;margin-top:100px;border:1px solid #333;}
</style>
</head>
<body>
<?php
$mysqli = @new mysqli($db_host, $db_user, $db_pwd, $db_name, $db_port);
if(mysqli_connect_errno()){
	echo "数据库链接失败：".mysqli_connect_error();
	$mysqli = null;
	exit;
}
$mysqli->query("set NAMES utf8");

function replace($sql){
	global $db_prefix;
	return str_replace('lyscms_', $db_prefix, $sql);
}
 

if($step == 1){
$sql = "select adminid,adminname,rolename from lyscms_admin";
$sql = replace($sql);
$result = $mysqli->query($sql);
?>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr>
    <td height="19" bgcolor="#E7E7E7"><table width="96%" border="0" cellspacing="1" cellpadding="1">
      <tr>
        <td width="24%"><b><strong>第一步：选择管理员账号</strong></b></td>
        <td width="76%" align="right">&nbsp;</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="215" align="center" valign="top" bgcolor="#FFFFFF"><form action="" method="post" name="form1" id="form1">
      <input type="hidden" name="step" value="2" />
      <table width="98%" border="0" cellspacing="1" cellpadding="1">
<tr>
          <td height="60" colspan="2" align="left">本工具是用于新人忘记管理员密码重设所制作，只需要将yzm.php文件拷贝到根目录，运行“http://abc/yzm.php（abc为网站域名）”，按照操作执行就可以。<font color="red">恢复完成后请及时删除这个文件!</font></td>
          </tr>
        <tr>
          <td width="16%" height="30" align="left">选择管理员账号：</td>
          <td width="84%" align="left">
               <select name='id' style='width:150px'>
              <?php
			  	while($row=$result->fetch_assoc()){
			  		echo "<option value='".$row['adminid']."'>".$row['adminname']." [".$row['rolename']."]</option>";
			  	}
			  	?>
              </select>
            </td>
        </tr>
        <tr>
          <td height="60" align="left">&nbsp;</td>
          <td align="left"><input type="submit" name="Submit" value="下一步&gt;" class="coolbg np" /></td>
        </tr>
      </table>
    </form></td>
  </tr>
</table>
<?php
}elseif($step==2){
    $id = intval($_POST["id"]);
	$sql = "select adminid,adminname,rolename from lyscms_admin where adminid='$id'";
	$sql = replace($sql);
    $result = $mysqli->query($sql);
	$row = $result->fetch_assoc();
?>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr>
    <td height="19" bgcolor="#E7E7E7"><table width="96%" border="0" cellspacing="1" cellpadding="1">
      <tr>
        <td width="24%"><b><strong>第二步：修改管理员密码</strong></b></td>
        <td width="76%" align="right">&nbsp;</td>
      </tr>	
    </table></td>
  </tr>
  <tr>
    <td height="215" align="center" valign="top" bgcolor="#FFFFFF"><form action="" method="post" name="form1" id="form1">
      <input name="step" type="hidden" id="step" value="3" />
      <input type="hidden" name="id" value="<?php echo $row['adminid']?>" />
      <table width="98%" border="0" cellspacing="1" cellpadding="1">
        <tr>
          <td width="16%" height="30" align="left">用户名：</td>
          <td width="84%" align="left"><?php echo $row['adminname']?> [<?php echo $row['rolename']?>]</td>
        </tr>
        <tr>
          <td height="30" align="left">用户密码：</td>
          <td align="left"><input name="pwd" type="text" id="pwd" size="16" style="width:200px" />
            &nbsp;（密码长度最少6位） </td>
        </tr>
        <tr>
          <td height="60" align="left">&nbsp;</td>
          <td align="left"><input type="submit" name="Submit" value="确定修改 " class="coolbg np" /></td>
        </tr>
      </table>
    </form></td>
  </tr>
</table>
<?php
}elseif($step==3){
    $id = intval($_POST["id"]);
    $pwd = trim($_POST["pwd"]);
	if(strlen($pwd) < 6){
		echo '<p style="color:red">错误：密码长度不能低于 6 位！</p><a href="javascript:history.go(-1)" style="color:blue;font-size:18px">返回上一步</a>';
		die;
	}
	$pwd = md5(substr(md5(trim($pwd)), 3, 26));
	$sql = "update `lyscms_admin` set password='$pwd' where adminid='$id'";
	$sql = replace($sql);
	$result = $mysqli->query($sql);
	echo "<p>成功更改一个用户！</p>";
	echo '<p style="color:red">恢复完成后请及时删除这个文件！</p>';
}
?>
</body>
</html>